# Pygame Core

This is a basic application skeleton for creating games or applications using the Pygame library. It provides a starting point for developers to build upon, offering key components like a game loop, event handling, and scheduled events. The structure is intentionally simple to allow for easy customization.

## Usage

1. **Initialize the Core**: Create a class that extends the Core class

```python
class MyClass(Core):

    def __init__(self):
        super().__init__()
        ...
```

2. **Implement Your Game Logic**: Override methods like `check_event`, `update`, and `draw` to implement your game or application logic.

3. **Run Your Application**: Start your application by calling the `run()` method on the `Core` instance.

```python
core.run()
```

4. **Scheduled Events**: You can schedule events to execute at specific intervals using the `set_interval()` and `set_timeout()` methods provided by the `Core` class.

```python
event = core.set_interval(interval, function, *args, **kwargs)
event = core.set_timeout(interval, function, *args, **kwargs)
```

## Customization

Feel free to extend and customize the code to suit your specific project requirements. Replace the placeholder methods with your game or application logic. This structure is intentionally kept minimal to give you full control over your project.

## Contributions

If you find this code useful and want to contribute improvements or features, please consider sharing your enhancements with the community.

## License

This code is provided under the [MIT License](LICENSE).
